Changeset 62342 for trunk/dports/python


Ignore:
Timestamp:
Jan 4, 2010, 11:20:34 PM (10 years ago)
Author:
ram@…
Message:

python/py26-matplotlib: update to 0.99.1.2

Location:
trunk/dports/python/py26-matplotlib
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/python/py26-matplotlib/Portfile

    r62336 r62342  
    66categories-append  graphics math
    77name               py26-matplotlib
    8 version            0.99.1.1
    9 revision           1
     8version            0.99.1.2
    109maintainers        ram openmaintainer
    1110platforms          darwin
     
    2221master_sites       sourceforge:matplotlib
    2322distname           matplotlib-${version}
     23worksrcdir         matplotlib-0.99.1.1
    2424
    25 checksums          md5 bd0894dd924eb5bec84c42d26041a544 \
    26                    sha1 57b5f1e3f0c8866af99f72fca06b4e529acba31d \
    27                    rmd160 2bd025944eab18d41ddf9f521c00a1f065346738
     25checksums          md5 952e2c992e4a762b8538171f51c9140a \
     26                   sha1 c3f9053a8522e2541d93ee55e8b447165708ac15 \
     27                   rmd160 11daee415102dff944d9c45de22c48c83e76dde7
    2828
    2929depends_lib-append port:freetype \
  • trunk/dports/python/py26-matplotlib/files/patch-setup.cfg.diff

    r58215 r62342  
    1 --- setup.cfg.orig      2009-09-24 04:41:39.000000000 +0200
    2 +++ setup.cfg   2009-09-24 10:27:20.000000000 +0200
    3 @@ -1,79 +1,9 @@
    4 -# Rename this file to setup.cfg to modify matplotlib's
    5 -# build options.
    6 -
    7 -[egg_info]
    8 -tag_svn_revision = 1
    9 -
    10 -[status]
    11 -# To suppress display of the dependencies and their versions
    12 -# at the top of the build log, uncomment the following line:
    13 -#suppress = True
    14 -#
    15 -# Uncomment to insert lots of diagnostic prints in extension code
    16 -#verbose = True
    17 -
    18 -[provide_packages]
    19 -# By default, matplotlib checks for a few dependencies and
    20 -# installs them if missing. This feature can be turned off
    21 -# by uncommenting the following lines. Acceptible values are:
    22 -#     True: install, overwrite an existing installation
    23 -#     False: do not install
    24 -#     auto: install only if the package is unavailable. This
    25 -#           is the default behavior
    26 -#
    27 -## Date/timezone support:
    28 -pytz = True
    29 -dateutil = True
    30 -
    31 -
    32  [gui_support]
    33 -# Matplotlib supports multiple GUI toolkits, including Cocoa,
    34 -# GTK, Fltk, MacOSX, Qt, Qt4, Tk, and WX. Support for many of
    35 -# these toolkits requires AGG, the Anti-Grain Geometry library,
    36 -# which is provided by matplotlib and built by default.
    37 -#
    38 -# Some backends are written in pure Python, and others require
    39 -# extension code to be compiled. By default, matplotlib checks
    40 -# for these GUI toolkits during installation and, if present,
    41 -# compiles the required extensions to support the toolkit. GTK
    42 -# support requires the GTK runtime environment and PyGTK. Wx
    43 -# support requires wxWidgets and wxPython. Tk support requires
    44 -# Tk and Tkinter. The other GUI toolkits do not require any
    45 -# extension code, and can be used as long as the libraries are
    46 -# installed on your system.
    47 -#
    48 -# You can uncomment any the following lines if you know you do
    49 -# not want to use the GUI toolkit. Acceptible values are:
    50 -#     True: build the extension. Exits with a warning if the
    51 -#           required dependencies are not available
    52 -#     False: do not build the extension
    53 -#     auto: build if the required dependencies are available,
    54 -#           otherwise skip silently. This is the default
    55 -#           behavior
    56 -#
    57 -#gtk = False
    58 -#gtkagg = False
    59 -tkagg = True
    60 -wxagg = True
    61 -macosx = True
     1--- setup.cfg   1970-01-01 01:00:00.000000000 +0100
     2+++ setup.cfg   2010-01-04 22:52:57.000000000 +0000
     3@@ -0,0 +1,9 @@
     4+[gui_support]
    625+gtk=False
    636+gtkagg=False
     
    658+wxagg=False
    669+macosx=True
    67  
    68  [rc_options]
    69 -# User-configurable options
    70 -#
    71 -# Default backend, one of: Agg, Cairo, CocoaAgg, GTK, GTKAgg, GTKCairo,
    72 -# FltkAgg, MacOSX, Pdf, Ps, QtAgg, Qt4Agg, SVG, TkAgg, WX, WXAgg.
    73 -#
    74 -# The Agg, Ps, Pdf and SVG backends do not require external
    75 -# dependencies. Do not choose GTK, GTKAgg, GTKCairo, MacOSX, TkAgg or WXAgg
    76 -# if you have disabled the relevent extension modules.  Agg will be used
    77 -# by default.
    78 -#
    79 -backend = TkAgg
    80 -#
    81 -# The numerix module was historically used to provide
    82 -# compatibility between the Numeric, numarray, and NumPy array
    83 -# packages. Now that NumPy has emerge as the universal array
    84 -# package for python, numerix is not really necessary and is
    85 -# maintained to provide backward compatibility. Do not change
    86 -# this unless you have a compelling reason to do so.
    87 -#numerix = numpy
     10+
     11+[rc_options]
    8812+backend=Agg
  • trunk/dports/python/py26-matplotlib/files/patch-setupext.py.diff

    r58171 r62342  
    1 --- setupext.py 2009-08-23 00:27:32.000000000 -0500
    2 +++ setupext.py 2009-09-23 06:46:31.000000000 -0500
     1--- setupext.py 2009-08-23 06:27:32.000000000 +0100
     2+++ setupext.py 2010-01-04 22:59:27.000000000 +0000
    33@@ -50,15 +50,7 @@
    44     'linux2' : ['/usr/local', '/usr'],
Note: See TracChangeset for help on using the changeset viewer.